华硕幻15安装linux无线网卡驱动问题

花了很多天时间,在幻15折腾Linux系统的无线网卡驱动,最后失败了,原因是Linux系统把幻15所搭载的mt7921无线网卡识别成了mt7961,导致驱动程序无法工作。

mt7921这块联发科的无线网卡在Linux5.12的内核中就有驱动了,所以安装完ubuntu或者deepin等系统以后直接升级内核到5.13或者5.12后期的版本就好。同时升级内核以后r9 5900hs这块APU也有了相应的固件支持。

不过我遇到的问题是,在升级完最新驱动还是无法驱动mt7921无线网卡,使用lspci命令查看硬件信息以后,发现这块无线网卡被错误识别成了7961。这个问题我还没有找到解决方案,遂放弃。

留下评论